You are not logged in.

#1 2015-04-10 03:17:41

Netpilgrim
Member
Registered: 2014-02-28
Posts: 9

GDM login no longer works after upgrade to Gnome 3.16

I have just upgraded to Gnome 3.16 and now when I try to log in from GDM, I get a short visual distortion of the screen and the login screen appears again without error message.

I would appreciate any help in debugging this issue.

Offline

#2 2015-04-10 03:24:39

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 20,868
Website

Re: GDM login no longer works after upgrade to Gnome 3.16

What is in your journal?


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#3 2015-04-10 03:39:54

Netpilgrim
Member
Registered: 2014-02-28
Posts: 9

Re: GDM login no longer works after upgrade to Gnome 3.16

Output of "journalctl -e -u gdm":
Apr 10 05:28:29 hyperion systemd[1]: Starting GNOME Display Manager...
Apr 10 05:28:29 hyperion systemd[1]: Started GNOME Display Manager.
Apr 10 05:28:31 hyperion gdm[1237]: GdmDisplay: display lasted 1.218684 seconds
Apr 10 05:28:31 hyperion gdm[1237]: Child process 1240 was already dead.
Apr 10 05:28:31 hyperion gdm[1237]: Unable to kill session worker process
Apr 10 05:28:31 hyperion gdm[1237]: Child process 1240 was already dead.
Apr 10 05:28:31 hyperion gdm[1237]: Unable to kill session worker process
Apr 10 05:28:41 hyperion gdm-password][1377]: pam_unix(gdm-password:session): session opened for user ... by (uid=0)
Apr 10 05:28:41 hyperion gdm[1237]: GdmDisplay: display lasted 0.484814 seconds

Edit 1: I tried configuring auto login, which resulted in no login screen being shown, the short visual distortion I have mentioned before, and then no graphical environment at all. I was back in the console from where I had restarted gdm. So it seems to me that it is not really the login that is not working but starting gnome after the login.

Edit 2: Putting "exec gnome-session" in my .xinitrc and using startx works. Gnome starts without any problem.

Last edited by Netpilgrim (2015-04-10 03:56:14)

Offline

#4 2015-04-10 03:57:46

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 20,868
Website

Re: GDM login no longer works after upgrade to Gnome 3.16

There are a couple of other people complaining about GDM after the upgrade: seems something is borked...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#5 2015-04-10 05:28:55

guerch
Member
Registered: 2014-09-11
Posts: 28

Re: GDM login no longer works after upgrade to Gnome 3.16

it sure did borked my system

Abr 10 02:18:52 arch gdm-Xorg-:0[375]: (II) Server terminated successfully (0). Closing log file.
Abr 10 02:18:52 arch gdm[346]: Freeing conversation 'gdm-autologin' with active job
Abr 10 02:18:52 arch systemd[1]: Stopped GNOME Display Manager.
-- Reboot --
Abr 10 02:19:05 arch systemd[1]: Starting GNOME Display Manager...
Abr 10 02:19:05 arch systemd[1]: Started GNOME Display Manager.
Abr 10 02:19:05 arch gdm-autologin][490]: pam_unix(gdm-autologin:session): session opened for user gui by (uid=0)
Abr 10 02:21:53 arch systemd[1]: Stopping GNOME Display Manager...
Abr 10 02:21:53 arch gdm[373]: (gdm-display.c:1141):gdm_display_dispose: runtime check failed: (self->priv->status != GDM_DISPLAY_PR
Abr 10 02:21:53 arch systemd[1]: Stopped GNOME Display Manager.
-- Reboot --
Abr 10 02:22:04 arch systemd[1]: Starting GNOME Display Manager...
Abr 10 02:22:04 arch systemd[1]: Started GNOME Display Manager.
Abr 10 02:22:04 arch gdm-autologin][408]: pam_unix(gdm-autologin:session): session opened for user gui by (uid=0)
Abr 10 02:23:58 arch gdm[370]: Failed to contact accountsservice: Error calling StartServiceByName for org.freedesktop.Accounts: The
Abr 10 02:23:58 arch systemd[1]: Stopping GNOME Display Manager...
Abr 10 02:23:58 arch gdm[370]: GLib: g_hash_table_find: assertion 'version == hash_table->version' failed
Abr 10 02:23:58 arch gdm[370]: (gdm-display.c:1141):gdm_display_dispose: runtime check failed: (self->priv->status != GDM_DISPLAY_PR
Abr 10 02:23:58 arch systemd[1]: Stopped GNOME Display Manager.
-- Reboot --
Abr 10 02:24:08 arch systemd[1]: Starting GNOME Display Manager...
Abr 10 02:24:09 arch systemd[1]: Started GNOME Display Manager.
Abr 10 02:24:09 arch gdm-autologin][483]: pam_unix(gdm-autologin:session): session opened for user gui by (uid=0)

sad, this is the first time my arch failed on me, any ideas on how to fix it?

Offline

#6 2015-04-10 05:33:44

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 20,868
Website

Re: GDM login no longer works after upgrade to Gnome 3.16

Do what Netpilgrim did and bypass GDM...

Fixing it probably requires a bug report.


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#7 2015-04-10 09:10:43

bmanuel
Member
Registered: 2011-10-06
Posts: 103

Re: GDM login no longer works after upgrade to Gnome 3.16

I've the same output of guerch, but i can only get gnome-shell to start by forcing automatic login by editing the /etc/gdm/custom.conf file this way:

[daemon]
AutomaticLoginEnable=True
AutomaticLogin=<my user name>

Offline

#8 2015-04-10 12:21:32

guilhermemtr
Member
Registered: 2013-04-04
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

I still cant get to gnome shell, even adding the file .xinitrc and putting exec gnome-session there. Also tried bmanuel's suggestion and didnt work.
Isn't this bug related? https://bugs.archlinux.org/index.php?do … k_id=44344

Offline

#9 2015-04-10 13:21:42

Netpilgrim
Member
Registered: 2014-02-28
Posts: 9

Re: GDM login no longer works after upgrade to Gnome 3.16

guilhermemtr wrote:

This seems to be a different problem where GDM does not start at all. I have no problem getting the login screen. Also, the library discussed there (libgirepository-1.0.so) is not missing on my system.

Last edited by Netpilgrim (2015-04-10 13:22:30)

Offline

#10 2015-04-10 13:25:22

guilhermemtr
Member
Registered: 2013-04-04
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

OK, sorry then. My bad and thanks

Offline

#11 2015-04-10 13:27:50

Netpilgrim
Member
Registered: 2014-02-28
Posts: 9

Re: GDM login no longer works after upgrade to Gnome 3.16

guilhermemtr wrote:

I still cant get to gnome shell, even adding the file .xinitrc and putting exec gnome-session there. Also tried bmanuel's suggestion and didnt work.

This is what my .xinitrc looks like:

if [ -d /etc/X11/xinit/xinitrc.d ]; then
  for f in /etc/X11/xinit/xinitrc.d/*; do
    [ -x "$f" ] && . "$f"
  done
  unset f
fi

[ -f ~/.xprofile ] && source ~/.xprofile

exec gnome-session

I currently log in at the console, stop GDM with “sudo systemctl stop gdm” and then execute “startx”.

Enabling auto login for GDM did not work for me, either.

Offline

#12 2015-04-10 13:30:49

guilhermemtr
Member
Registered: 2013-04-04
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

I think i have a different issue since i cant even get to gdm (lightdm either). Startx does not work too

Offline

#13 2015-04-10 14:03:54

guerch
Member
Registered: 2014-09-11
Posts: 28

Re: GDM login no longer works after upgrade to Gnome 3.16

In my case, i get the white screen of death ( something went wrong ... with the logout option) but i have a shell i can press the window key and do whatever,  quite wierd

Offline

#14 2015-04-10 14:48:14

cris9288
Member
Registered: 2013-01-07
Posts: 348

Re: GDM login no longer works after upgrade to Gnome 3.16

I believe GDM now defaults to wayland (though it should fallback to X if Wayland doesn't work). Do you have xorg-server-xwayland installed?

Last edited by cris9288 (2015-04-10 14:49:18)

Offline

#15 2015-04-10 14:53:40

guilhermemtr
Member
Registered: 2013-04-04
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

I just installed and got the same error. I have no clue of what the problem might be. I even installed lxde and it wont get to lxdm (just gets the same black screen)

Offline

#16 2015-04-10 15:05:35

guilhermemtr
Member
Registered: 2013-04-04
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

cris9228 wrote:

I believe GDM now defaults to wayland (though it should fallback to X if Wayland doesn't work). Do you have xorg-server-xwayland installed?

it started just after the gnome update at 22.38 update. I put the previous part since i really have no clue of what the problem might be and in the previous update nvidia driver's were upgraded

[2015-04-09 20:41] [ALPM] transaction started
[2015-04-09 20:41] [ALPM] upgraded nvidia-utils (346.47-2 -> 346.59-1)
[2015-04-09 20:41] [ALPM-SCRIPTLET] If you run into trouble with CUDA not being available, run nvidia-modprobe first.
[2015-04-09 20:41] [ALPM] upgraded nvidia-libgl (346.47-2 -> 346.59-1)
[2015-04-09 20:42] [ALPM] upgraded firefox (37.0-1 -> 37.0.1-1)
[2015-04-09 20:42] [ALPM] upgraded lib32-harfbuzz (0.9.38-1 -> 0.9.40-1)
[2015-04-09 20:42] [ALPM] upgraded lib32-libtiff (4.0.3-2 -> 4.0.3-3)
[2015-04-09 20:42] [ALPM] upgraded lib32-nvidia-utils (346.47-1 -> 346.59-1)
[2015-04-09 20:42] [ALPM] upgraded lib32-nvidia-libgl (346.47-1 -> 346.59-1)
[2015-04-09 20:42] [ALPM] upgraded lib32-qt4 (4.8.6-3 -> 4.8.6-4)
[2015-04-09 20:42] [ALPM] upgraded libva (1.5.0-1 -> 1.5.1-1)
[2015-04-09 20:42] [ALPM] upgraded libva-intel-driver (1.5.0-1 -> 1.5.1-1)
[2015-04-09 20:42] [ALPM] upgraded linux (3.19.2-1 -> 3.19.3-3)
[2015-04-09 20:42] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2015-04-09 20:42] [ALPM-SCRIPTLET] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Starting build: 3.19.3-3-ARCH
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Image generation successful
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Starting build: 3.19.3-3-ARCH
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2015-04-09 20:42] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2015-04-09 20:42] [ALPM-SCRIPTLET] ==> Image generation successful
[2015-04-09 20:42] [ALPM] upgraded nodejs (0.12.2-1 -> 0.12.2-2)
[2015-04-09 20:42] [ALPM] upgraded ntp (4.2.8.p1-1 -> 4.2.8.p2-1)
[2015-04-09 20:42] [ALPM] upgraded numix-icon-theme (0.r500.00dea03-1 -> 0.r531.50829a0-1)
[2015-04-09 20:42] [ALPM] upgraded nvidia (346.47-10 -> 346.59-1)
[2015-04-09 20:42] [ALPM] upgraded opencl-nvidia (346.47-2 -> 346.59-1)
[2015-04-09 20:42] [ALPM] upgraded perl-xml-libxml (2.0118-2 -> 2.0118-3)
[2015-04-09 20:42] [ALPM] upgraded python-setuptools (1:14.3.1-1 -> 1:15.0-1)
[2015-04-09 20:42] [ALPM] upgraded virtualbox-host-modules (4.3.26-4 -> 4.3.26-5)
[2015-04-09 20:42] [ALPM-SCRIPTLET] In order to use the new version, reload all virtualbox modules manually.
[2015-04-09 20:42] [ALPM] upgraded xf86-input-synaptics (1.8.2-1 -> 1.8.2-2)
[2015-04-09 20:42] [ALPM] transaction completed

this point new kernel was installed but i could get to gdm normally
i meanwhile installed boost-libs but im pretty sure that would not cause the problem.

And finally this update was the one:

[2015-04-09 22:38] [ALPM] transaction started
[2015-04-09 22:38] [ALPM] upgraded glib2 (2.42.2-1 -> 2.44.0-1)
[2015-04-09 22:38] [ALPM] upgraded adwaita-icon-theme (3.14.1-1 -> 3.16.0-1)
[2015-04-09 22:38] [ALPM] upgraded at-spi2-core (2.14.1-1 -> 2.16.0-1)
[2015-04-09 22:38] [ALPM] upgraded atk (2.14.0-1 -> 2.16.0-1)
[2015-04-09 22:38] [ALPM] upgraded at-spi2-atk (2.14.1-1 -> 2.16.0-1)
[2015-04-09 22:38] [ALPM] upgraded icu (54.1-1 -> 55.1-1)
[2015-04-09 22:38] [ALPM] upgraded boost-libs (1.57.0-3 -> 1.57.0-4)
[2015-04-09 22:38] [ALPM] upgraded boost (1.57.0-3 -> 1.57.0-4)
[2015-04-09 22:38] [ALPM] upgraded brltty (5.2-2 -> 5.2-3)
[2015-04-09 22:38] [ALPM] installed gobject-introspection-runtime (1.44.0-1)
[2015-04-09 22:38] [ALPM] upgraded pygobject-devel (3.14.0-2 -> 3.16.0-1)
[2015-04-09 22:38] [ALPM] upgraded harfbuzz (0.9.40-1 -> 0.9.40-2)
[2015-04-09 22:38] [ALPM] upgraded python2-gobject (3.14.0-2 -> 3.16.0-1)
[2015-04-09 22:38] [ALPM] installed python2-markupsafe (0.23-2)
[2015-04-09 22:38] [ALPM] installed python2-beaker (1.6.5-1)
[2015-04-09 22:38] [ALPM] installed python2-mako (1.0.1-1)
[2015-04-09 22:38] [ALPM] upgraded gobject-introspection (1.42.0-1 -> 1.44.0-1)
[2015-04-09 22:38] [ALPM] upgraded python2-atspi (2.12.0-1 -> 2.16.0-1)
[2015-04-09 22:38] [ALPM] upgraded gsettings-desktop-schemas (3.14.1-1 -> 3.16.0-1)
[2015-04-09 22:38] [ALPM] upgraded glib-networking (2.42.1-1 -> 2.44.0-1)
[2015-04-09 22:38] [ALPM] upgraded libsoup (2.48.1-1 -> 2.50.0-1)
[2015-04-09 22:38] [ALPM] upgraded rest (0.7.92-1 -> 0.7.93-1)
[2015-04-09 22:38] [ALPM] upgraded dconf (0.22.0-1 -> 0.24.0-1)
[2015-04-09 22:38] [ALPM] upgraded gtk3 (3.14.9-1 -> 3.16.1-1)
[2015-04-09 22:38] [ALPM] upgraded libgee (0.16.1-1 -> 0.18.0-1)
[2015-04-09 22:38] [ALPM] upgraded clutter (1.20.0-4 -> 1.22.0-2)
[2015-04-09 22:38] [ALPM] upgraded caribou (0.4.17-1 -> 0.4.18-1)
[2015-04-09 22:38] [ALPM] installed clutter-gst2 (2.0.14-1)
[2015-04-09 22:38] [ALPM] upgraded clutter-gtk (1.6.0-1 -> 1.6.0-2)
[2015-04-09 22:38] [ALPM] upgraded gnome-desktop (1:3.14.2-1 -> 1:3.16.0-1)
[2015-04-09 22:38] [ALPM] upgraded libssh2 (1.4.3-2 -> 1.5.0-1)
[2015-04-09 22:38] [ALPM] upgraded cheese (3.14.2-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded chromium (41.0.2272.118-1 -> 41.0.2272.118-2)
[2015-04-09 22:39] [ALPM] upgraded clutter-gst (2.0.14-1 -> 3.0.4-1)
[2015-04-09 22:39] [ALPM] upgraded poppler (0.31.0-1 -> 0.32.0-1)
[2015-04-09 22:39] [ALPM] upgraded cups-filters (1.0.67-1 -> 1.0.67-2)
[2015-04-09 22:39] [ALPM] upgraded harfbuzz-icu (0.9.40-1 -> 0.9.40-2)
[2015-04-09 22:39] [ALPM] upgraded webkit2gtk (2.6.5-1 -> 2.8.0-2)
[2015-04-09 22:39] [ALPM] upgraded gcr (3.14.0-1 -> 3.15.92-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-online-accounts (3.14.3-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded geocode-glib (3.14.0-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded libgweather (3.14.3-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded webkitgtk (2.4.8-1 -> 2.4.8-2)
[2015-04-09 22:39] [ALPM] upgraded evolution-data-server (3.12.11-1 -> 3.16.0-2)
[2015-04-09 22:39] [ALPM] upgraded folks (0.10.1-1 -> 0.11.0-1)
[2015-04-09 22:39] [ALPM] upgraded libchamplain (0.12.9-1 -> 0.12.10-1)
[2015-04-09 22:39] [ALPM] upgraded empathy (3.12.7-2 -> 3.12.8-1)
[2015-04-09 22:39] [ALPM] upgraded libpeas (1.12.1-1 -> 1.14.0-1)
[2015-04-09 22:39] [ALPM] upgraded eog (3.14.3-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded poppler-glib (0.31.0-1 -> 0.32.0-1)
[2015-04-09 22:39] [ALPM] upgraded evince (3.14.2-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded file-roller (3.14.2-2 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded firefox (37.0.1-1 -> 37.0.1-2)
[2015-04-09 22:39] [ALPM] upgraded gjs (1.42.0-1 -> 1.43.3-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-bluetooth (3.14.0-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-session (3.14.0-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-settings-daemon (3.14.2-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-themes-standard (3.14.2.3-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded libgdm (3.14.1-2 -> 3.16.0.1-1)
[2015-04-09 22:39] [ALPM] upgraded mutter (3.14.3-3 -> 3.16.0-2)
[2015-04-09 22:39] [ALPM] upgraded gnome-shell (3.14.3-2 -> 3.16.0-2)
[2015-04-09 22:39] [ALPM] warning: /etc/gdm/custom.conf installed as /etc/gdm/custom.conf.pacnew
[2015-04-09 22:39] [ALPM] upgraded gdm (3.14.1-2 -> 3.16.0.1-1)
[2015-04-09 22:39] [ALPM] upgraded gtksourceview3 (3.14.3-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded python-gobject (3.14.0-2 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gedit (3.14.3-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded glibmm (2.42.0-1 -> 2.44.0-1)
[2015-04-09 22:39] [ALPM] upgraded libtracker-sparql (1.2.5-1 -> 1.4.0-2)
[2015-04-09 22:39] [ALPM] upgraded libcacard (2.2.1-2 -> 2.2.1-3)
[2015-04-09 22:39] [ALPM] upgraded qemu (2.2.1-2 -> 2.2.1-3)
[2015-04-09 22:39] [ALPM] upgraded gnome-boxes (3.14.3.1-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-calculator (3.14.1-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded vte-common (0.38.3-1 -> 0.40.0-1)
[2015-04-09 22:39] [ALPM] upgraded vte3 (0.38.3-1 -> 0.40.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-color-manager (3.14.2-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded grilo (0.2.11-1 -> 0.2.12-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-control-center (3.14.2-2 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-disk-utility (3.14.0-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-keyring (3.14.0-1 -> 3.15.92-1)
[2015-04-09 22:39] [ALPM] installed gfbgraph (0.2.2-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-maps (3.14.2-1 -> 3.16.0-2)
[2015-04-09 22:39] [ALPM] upgraded libmediaart (0.6.0-1 -> 1.9.0-1)
[2015-04-09 22:39] [ALPM] upgraded gom (0.2.1-1 -> 0.3.0-1)
[2015-04-09 22:39] [ALPM] upgraded grilo-plugins (0.2.14-0.1 -> 0.2.14-1)
[2015-04-09 22:39] [ALPM] installed libiptcdata (1.0.4-3)
[2015-04-09 22:39] [ALPM] installed libcue (1.4.0-4)
[2015-04-09 22:39] [ALPM] upgraded tracker (1.2.5-1 -> 1.4.0-2)
[2015-04-09 22:39] [ALPM] upgraded gvfs (1.22.3-2 -> 1.24.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-music (3.14.3.1-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-screenshot (3.14.0-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-shell-extensions (3.14.3-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded pangomm (2.34.0-1 -> 2.36.0-1)
[2015-04-09 22:39] [ALPM] upgraded gtkmm3 (3.14.0-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-system-monitor (3.14.1-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-terminal (3.14.2-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-tweak-tool (3.14.2-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gnome-weather (3.14.1-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded gvfs-mtp (1.22.3-2 -> 1.24.0-1)
[2015-04-09 22:39] [ALPM] upgraded lib32-glib2 (2.42.2-1 -> 2.44.0-1)
[2015-04-09 22:39] [ALPM] upgraded lib32-libssh2 (1.4.3-2 -> 1.5.0-1)
[2015-04-09 22:39] [ALPM] upgraded lib32-util-linux (2.25.2-1 -> 2.26-1)
[2015-04-09 22:39] [ALPM] upgraded libnautilus-extension (3.14.2-2 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded nautilus (3.14.2-2 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded python-atspi (2.12.0-1 -> 2.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded orca (3.14.3-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded raptor (2.0.15-1 -> 2.0.15-2)
[2015-04-09 22:39] [ALPM] upgraded seahorse (3.14.1-1 -> 3.15.92-1)
[2015-04-09 22:39] [ALPM] upgraded seahorse-nautilus (3.10.1-1 -> 3.11.92-1)
[2015-04-09 22:39] [ALPM] upgraded sushi (3.12.0-2 -> 3.15.90-1)
[2015-04-09 22:39] [ALPM] upgraded totem (3.14.2-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded vino (3.14.1-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded webkitgtk2 (2.4.8-1 -> 2.4.8-2)
[2015-04-09 22:39] [ALPM] upgraded yelp-xsl (3.14.0-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] upgraded yelp (3.14.1-1 -> 3.16.0-1)
[2015-04-09 22:39] [ALPM] transaction completed

Last edited by guilhermemtr (2015-04-10 15:07:53)

Offline

#17 2015-04-10 15:37:16

Netpilgrim
Member
Registered: 2014-02-28
Posts: 9

Re: GDM login no longer works after upgrade to Gnome 3.16

cris9288 wrote:

I believe GDM now defaults to wayland (though it should fallback to X if Wayland doesn't work). Do you have xorg-server-xwayland installed?

Installing it didn’t change anything for me, either.

Offline

#18 2015-04-10 15:40:17

guilhermemtr
Member
Registered: 2013-04-04
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

somewhere in my xorg.0.log it says that a screen 1 was deleted.
I run Xorg-configure and now a mouse appears (as a cross) but no gdm though.

Last edited by guilhermemtr (2015-04-10 15:43:03)

Offline

#19 2015-04-10 15:53:35

parad0x
Member
Registered: 2013-04-11
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

In my case I solved, re-enabling extension check in dconf-editor. it was stuck because I had automatic login enabled on an user that was loading an old incompatible extension.

Offline

#20 2015-04-10 15:54:43

guilhermemtr
Member
Registered: 2013-04-04
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

I dont have automatic login enabled so it should just go to gdm i think

Offline

#21 2015-04-10 16:02:20

parad0x
Member
Registered: 2013-04-11
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

Yes it should, It's another problem.

I ran journalctl -r ad I saw tons of errors about this extension.
since I got here to solve my problem I thought somebody might have the same problem as me.

I had mouse, and noisy-gray gdm background but it was stuck there.
If you can't start X with xinit It's not a gdm problem.
It was working before the update of gdm? if not you might have to check if you have installed xf86-video-??? xf88-input-evdev etc...

Last edited by parad0x (2015-04-10 16:04:44)

Offline

#22 2015-04-10 17:09:33

guilhermemtr
Member
Registered: 2013-04-04
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

the problem is something regarding nvidia's driver i would say, since i changed xorg to use intel's one and it allowed me to run lxde with 640*320 pixels. or something like that. however, i cant get the resolution right and cant login to gnome by lxdm too.

Offline

#23 2015-04-10 17:27:40

guilhermemtr
Member
Registered: 2013-04-04
Posts: 13

Re: GDM login no longer works after upgrade to Gnome 3.16

ok i have set up to run on intel graphics, now lxde is working well, with the correct definition, etc. But i cant get to gnome, it says something has gone wrong. im using lxdm, gdm does not work

Last edited by guilhermemtr (2015-04-10 17:33:30)

Offline

#24 2015-04-10 17:37:26

guerch
Member
Registered: 2014-09-11
Posts: 28

Re: GDM login no longer works after upgrade to Gnome 3.16

Oh no! something has gone wrong...
interesting bits from dmesg:

[    6.944546] sound hdaudioC1D0: HDMI: invalid ELD data byte 31
[    8.154148] gnome-settings-[664]: segfault at 20 ip 00007f10ba2d1f78 sp 00007ffc15e55830 error 6 in libglib-2.0.so.0.4400.0[7f10ba2b2000+10c000]
[    8.284571] ISO 9660 Extensions: RRIP_1991A
[    8.459415] gnome-settings-[965]: segfault at 20 ip 00007f5b63cadf78 sp 00007ffeca0641a0 error 6 in libglib-2.0.so.0.4400.0[7f5b63c8e000+10c000]
[gui@arch ~]$ 

interesting bits from journalctl:

Abr 10 14:22:16 arch /usr/lib/gdm/gdm-x-session[514]: Activating service name='org.gnome.seahorse.Application'
Abr 10 14:22:16 arch /usr/lib/gdm/gdm-x-session[514]: Activating service name='org.gnome.Bijiben.SearchProvider'
Abr 10 14:22:16 arch /usr/lib/gdm/gdm-x-session[514]: Activating service name='org.gnome.Nautilus'
Abr 10 14:22:16 arch /usr/lib/gdm/gdm-x-session[514]: Activating service name='org.gnome.Contacts.SearchProvider'
Abr 10 14:22:16 arch /usr/lib/gdm/gdm-x-session[514]: Activating service name='org.gnome.Calculator.SearchProvider'
Abr 10 14:22:16 arch /usr/lib/gdm/gdm-x-session[514]: Activating service name='org.gnome.Boxes.SearchProvider'
Abr 10 14:22:16 arch /usr/lib/gdm/gdm-x-session[514]: Activating service name='org.gnome.ControlCenter.SearchProvider'
Abr 10 14:22:08 arch NetworkManager[340]: <info>  (enp3s0): Activation: Stage 4 of 5 (IPv6 Configure Timeout) complete.
Abr 10 14:22:08 arch NetworkManager[340]: <info>  (enp3s0): Activation: Stage 4 of 5 (IPv6 Configure Timeout) started...
Abr 10 14:22:08 arch NetworkManager[340]: <info>  (enp3s0): Activation: Stage 4 of 5 (IPv6 Configure Timeout) scheduled...
Abr 10 14:22:05 arch systemd-timesyncd[333]: interval/delta/delay/jitter/drift 32s/-0.360s/0.044s/0.000s/+0ppm
Abr 10 14:22:05 arch systemd-timesyncd[333]: Using NTP server 200.192.232.8:123 (2.arch.pool.ntp.org).
Abr 10 14:21:56 arch google-chrome.desktop[1007]: [7:7:0410/142156:ERROR:resource_request_policy.cc(57)] Denying load of chrome-extension://apdfllckaahabafndbhieahigkjlhalf/page_em
Abr 10 14:21:56 arch google-chrome.desktop[1007]: [54:109:0410/142156:ERROR:webgraphicscontext3d_command_buffer_impl.cc(230)] Failed to initialize command buffer.
Abr 10 14:21:56 arch google-chrome.desktop[1007]: [54:109:0410/142156:ERROR:gpu_channel_host.cc(185)] Failed to send GpuChannelMsg_CreateOffscreenCommandBuffer.
Abr 10 14:21:50 arch google-chrome.desktop[1007]: [1007:1103:0410/142150:ERROR:get_updates_processor.cc(240)] PostClientToServerMessage() failed during GetUpdates
Abr 10 14:21:50 arch google-chrome.desktop[1007]: [1007:1007:0410/142150:ERROR:extension_downloader.cc(696)] Invalid URL: '' for extension fkmopoamfjnmppabeaphohombnjcjgla
Abr 10 14:21:50 arch google-chrome.desktop[1007]: [1007:1007:0410/142150:ERROR:extension_downloader.cc(696)] Invalid URL: '' for extension hijbjhjjipenfibfbleadidijdimlpmk
Abr 10 14:21:49 arch gnome-session[562]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1200001 (New Tab - )
Abr 10 14:21:49 arch gnome-session[562]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1200001 (New Tab - )
Abr 10 14:21:49 arch google-chrome.desktop[1007]: Fontconfig warning: FcPattern object size does not accept value 11(i)
Abr 10 14:21:49 arch google-chrome.desktop[1007]: [1007:1007:0410/142149:ERROR:background_mode_manager_aura.cc(14)] Not implemented reached in virtual void BackgroundModeManager::E
Abr 10 14:21:42 arch NetworkManager[340]: <info>  startup complete
Abr 10 14:21:41 arch gnome-shell[790]: GNOME Shell started at Fri Apr 10 2015 14:21:40 GMT-0300 (BRT)
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2007-04-2015%2014:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2006-04-2015%2016:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2002-04-2015%2020:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2001-04-2015%2000:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2028-03-2015%2020:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2026-03-2015%2015:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2026-03-2015%2012:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2018-03-2015%2009:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2018-03-2015%2009:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2015-03-2015%2000:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2015-03-2015%2000:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2013-03-2015%2011:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2011-03-2015%2012:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2011-03-2015%2009:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2010-03-2015%2000:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2007-03-2015%2017:
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2006-03-2015%2004:
Abr 10 14:21:41 arch /usr/lib/gdm/gdm-x-session[514]: Successfully activated service 'org.gtk.vfs.Metadata'
Abr 10 14:21:41 arch /usr/lib/gdm/gdm-x-session[514]: Activating service name='org.gtk.vfs.Metadata'
Abr 10 14:21:41 arch gnome-session[562]: (tracker-extract:855): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/gui/Videos/Screencast%20from%2006-03-2015%2003:
Abr 10 14:21:41 arch systemd-coredump[984]: Process 965 (gnome-settings-) of user 1000 dumped core.
Abr 10 14:21:41 arch gnome-session[562]: gnome-session[562]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal 11
Abr 10 14:21:41 arch gnome-session[562]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal 11
Abr 10 14:21:41 arch gnome-session[562]: Unrecoverable failure in required component gnome-settings-daemon.desktop

i want to win this battle, any ideas?

Last edited by guerch (2015-04-10 22:06:39)

Offline

#25 2015-04-10 20:42:40

guerch
Member
Registered: 2014-09-11
Posts: 28

Re: GDM login no longer works after upgrade to Gnome 3.16

I did a fresh arch install + gnome   and i still have this issue,  please dont upgrade until someone smarter then me figures it out what is broken

Offline

Board footer

Powered by FluxBB